> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloud.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get your rankings

> Retrieve your volume rankings for maker, taker, and total volume.

<Tabs groupId="programming-language">
  <Tab value="Typescript" title="TS/JS">
    ```js theme={null}
    const rankingsService = new RankingsService(client);

    rankingsService.getRankings().then(async (response) => {
        console.log('Volume Rankings: ', response);
    })
    ```

    For more information, please visit the [INTX TS SDK](https://github.com/coinbase-samples/intx-sdk-ts).
  </Tab>
</Tabs>


## OpenAPI

````yaml GET /api/v1/rankings/statistics
openapi: 3.0.3
info:
  title: REST API
  description: >
    # Welcome to Coinbase INTX API

    ## Introduction

    The INTX APIs allow institutions to trade and manage orders on the
    International Exchange. The following API pages detail various REST API
    endpoints we offer.

    ## Getting Started

    To get started, please visit one of the following pages:

    - [Quickstart](/international-exchange/introduction/quickstart)

    -
    [Overview](/api-reference/international-exchange-api/rest-api/introduction)

    -
    [Authentication](/api-reference/international-exchange-api/rest-api/authentication)

    - [Rate Limits](/international-exchange/introduction/rate-limits-overview)

    ## FIX API

    - [FIX API reference](/international-exchange/fix-api/fix-api-overview)

    ## WebSocket API

    - [WebSocket API
    reference](/international-exchange/websocket-feed/websocket-overview)
  version: '1.0'
servers:
  - url: https://api.international.coinbase.com
security: []
paths:
  /api/v1/rankings/statistics:
    get:
      tags:
        - Rankings
      summary: Get your rankings
      description: Retrieve your volume rankings for maker, taker, and total volume.
      operationId: getStatistics
      parameters:
        - name: instrument_type
          in: query
          required: true
          description: >-
            Identifies the instruments by type . Allowed values: SPOT,
            PERPETUAL_FUTURE
          schema:
            type: string
            enum:
              - SPOT
              - PERPETUAL_FUTURE
        - name: period
          in: query
          required: false
          description: >-
            Identifies the lookback window for the query . Allowed values:
            YESTERDAY, LAST_7_DAYS, THIS_MONTH, LAST_30_DAYS, LAST_MONTH.
            Default: THIS_MONTH
          schema:
            type: string
            enum:
              - YESTERDAY
              - LAST_7_DAYS
              - THIS_MONTH
              - LAST_30_DAYS
              - LAST_MONTH
        - name: instruments
          in: query
          description: >-
            One or more instrument identifiers, such as name (e.g., `BTC-USDC`),
            UUID (e.g., `ce55a827-f04a-45c0-9d9b-8bbdb9b48065`), or instrument
            ID (e.g., `7149252043835013`). If not provided, the query will
            return the rankings for all instruments of the specified type. If
            one or more instruments are specified, the query will return the
            volume and relative percent for all specified instruments, but the
            returned rank will be "--".
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Ranking information
          content:
            application/json:
              schema:
                type: object
                properties:
                  last_updated:
                    description: >-
                      The time of the most recent status change of the
                      statistics
                    type: string
                    format: date-time
                    example: '2023-01-29T14:32:28.000Z'
                  statistics:
                    type: object
                    properties:
                      maker:
                        $ref: '#/components/schemas/Rankings_v1'
                      taker:
                        $ref: '#/components/schemas/Rankings_v1'
                      total:
                        $ref: '#/components/schemas/Rankings_v1'
        '400':
          description: Invalid attribute
        '401':
          description: Authentication error
      security:
        - auth_client_id: []
          auth_passphrase: []
          auth_signature: []
          auth_timestamp: []
components:
  schemas:
    Rankings_v1:
      type: object
      properties:
        rank:
          description: >-
            Ranking of the user based on the volume traded. If the user has not
            traded, the value returned is "--". If the instrumentType parameter
            is PERPETUAL_FUTURE then the user will see their rank if they are in
            the top 10, otherwise the value of `rank` will be 10+. If the
            instrumentType parameter is SPOT then the user will see their rank
            if they are in the top 3, otherwise the value of `rank` will be 3+.
          type: string
          example: 1
        relative_percent:
          description: percentage of the total volume traded by this user
          type: string
          example: 30
        volume:
          description: total volume traded by this user
          type: string
          example: 1000000
  securitySchemes:
    auth_client_id:
      type: apiKey
      name: CB-ACCESS-KEY
      in: header
      description: The Client ID that owns the API Key for the request
    auth_passphrase:
      type: apiKey
      name: CB-ACCESS-PASSPHRASE
      in: header
      description: The pass phrase affiliated with the API Key
    auth_signature:
      type: apiKey
      name: CB-ACCESS-SIGN
      in: header
      description: >-
        A HMAC SHA-256 signature using the API Key secret on the string
        TIMESTAMP, METHOD, REQUEST_PATH, BODY
    auth_timestamp:
      type: apiKey
      name: CB-ACCESS-TIMESTAMP
      in: header
      description: The timestamp of when the request is being made

````